Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class Calculator.DoubleTimesDouble

    java.lang.Object
      net.sf.saxon.expr.Calculator
          net.sf.saxon.expr.Calculator.DoubleTimesDouble

All Implemented Interfaces:
  Serializable

Enclosing class:
  Calculator

    public static class Calculator.DoubleTimesDouble

extends Calculator

Arithmetic: double * double (including types that promote to double)

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.Calculator
`Calculator.AnyDivAny, Calculator.AnyIdivAny, Calculator.AnyMinusAny, Calculator.AnyModAny, Calculator.AnyPlusAny, Calculator.AnyTimesAny, Calculator.DecimalDivDecimal, Calculator.DecimalIdivDecimal, Calculator.DecimalMinusDecimal, Calculator.DecimalModDecimal, Calculator.DecimalPlusDecimal, Calculator.DecimalTimesDecimal, Calculator.DoubleDivDouble, Calculator.DoubleMinusDouble, Calculator.DoubleModDouble, Calculator.DoublePlusDouble, Calculator.DoubleTimesDouble, Calculator.FloatDivFloat, Calculator.FloatIdivFloat, Calculator.FloatMinusFloat, Calculator.FloatModFloat, Calculator.FloatPlusFloat, Calculator.FloatTimesFloat, Calculator.IntegerDivInteger, Calculator.IntegerIdivInteger, Calculator.IntegerMinusInteger, Calculator.IntegerModInteger, Calculator.IntegerPlusInteger, Calculator.IntegerTimesInteger`

Field Summary

Fields inherited from class net.sf.saxon.expr.Calculator
`ANY_ANY, DATETIME_DATETIME, DATETIME_DURATION, DECIMAL_DECIMAL, DECIMAL_DOUBLE, DECIMAL_FLOAT, DECIMAL_INTEGER, DIV, DOUBLE_DECIMAL, DOUBLE_DOUBLE, DOUBLE_FLOAT, DOUBLE_INTEGER, DURATION_DATETIME, DURATION_DURATION, DURATION_NUMERIC, FLOAT_DECIMAL, FLOAT_DOUBLE, FLOAT_FLOAT, FLOAT_INTEGER, IDIV, INTEGER_DECIMAL, INTEGER_DOUBLE, INTEGER_FLOAT, INTEGER_INTEGER, MINUS, MOD, NUMERIC_DURATION, PLUS, TIMES`

Constructor Summary
`Calculator.DoubleTimesDouble()`

Method Summary
`AtomicValue` | `compute(AtomicValue a, AtomicValue b, XPathContext c)` Perform an arithmetic operation
`AtomicType` | `getResultType(AtomicType typeA, AtomicType typeB)` Get the type of the result of the calculator, given arguments types typeA and typeB

Methods inherited from class net.sf.saxon.expr.Calculator
`decimalDivide, getCalculator, getCalculatorSetName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Calculator.DoubleTimesDouble

    public Calculator.DoubleTimesDouble()

Method Detail

### compute

    public AtomicValue compute(AtomicValue a,
                               AtomicValue b,
                               XPathContext c)
                        throws XPathException

  Description copied from class: `Calculator`
  Perform an arithmetic operation

  Specified by:
    `compute` in class `Calculator`
  Parameters:
    `a` - the first operand. Must not be null, and must be an instance of the type implied by the class name.
    `b` - the second operand. Must not be null, and must be an instance of the type implied by the class name.
    `c` - the XPath dynamic evaluation context
  Returns:
    the result of the computation, as a value of the correct primitive type
  Throws:
    `XPathException` - in the event of an arithmetic error

### getResultType

    public AtomicType getResultType(AtomicType typeA,
                                    AtomicType typeB)

  Description copied from class: `Calculator`
  Get the type of the result of the calculator, given arguments types typeA and typeB

  Specified by:
    `getResultType` in class `Calculator`
  Parameters:
    `typeA` - the type of the first operand
    `typeB` - the type of the second operand
  Returns:
    the type of the result

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.